Package plugins :: Package ui :: Package testinput :: Module main :: Class XYZPlugin

[hide private]
[frames] | no frames]

# Class XYZPlugin

source code

    libxyz.core.plugins.BasePlugin --+
                                     |
                                    XYZPlugin

Plugin testinput

Instance Methods | [hide private]

__init__(self, xyz) | source code

show_box(self, use_wrap=True) Show test_box dialog | source code

Class Variables | [hide private]

| NAME = `u"testinput"`
| AUTHOR = `u"Max E. Kuznecov <syhpoon@syhpoon.name>"`
| VERSION = `u"0.1"`
| BRIEF_DESCRIPTION = `u"Test input"`
| FULL_DESCRIPTION = `u"Simple dialog to show pressed keys.\n" u"`...``
| NAMESPACE = `u"ui"`
| MIN_XYZ_VERSION = `None`
| DOC = `None`
| HOMEPAGE = `u"xyzcmd.syhpoon.name"`

Method Details | [hide private]

### show_box(self, use_wrap=True)

source code

Show test_box dialog

Parameters:
  - `use_wrap` - Whether to use input wrapper which honours learned keys

Class Variable Details | [hide private]

### FULL_DESCRIPTION

Value:

      u"Simple dialog to show pressed keys.\n" u"Shortcut is what XYZCommand
      er expects to see in " u"configuration files.\n" u"Raw is what low-lev
      el library emits to focus widget"